import http from "@/api";

/**
 * @name 全局模块(在公司下面的数据)
 */
//获取全局单位
export const getGlobalStatusApi = () => {
    return http.get<any>(`SysConfig/GetStatus`);
};
//获取仓库
export const getStockApi = () => {
    return http.get<any>(`SysConfig/GetUcStock`);
};
//获取仓位
export const getSubUcStockApi = (name: any) => {
    return http.get<any>(`SysConfig/GetSubUcStockByName/?name=${name}`);
};
//获取组织
export const getOrgApi = (name: any) => {
    return http.get<any>(`SysConfig/GetOrg/${name}`);
};
//获取供应商
export const getSupplierApi = (name: any) => {
    return http.get<any>(`SysConfig/GetSupplier/${name}`);
};
//获取收货客户
export const getCustomersApi = (name: any) => {
    return http.get<any>(`SysConfig/GetCustomers/${name}`);
};

//通知单点登录
export const getUcOfflineApi = () => {
    return http.post<any>(`uc/offline`);
};

//全局顶部按钮操作
//提交
export const commitListApi = (url: string, params: any) => {
    return http.post<any>(url, params);
};
export const getSubUcStockByNameApi = (id: any) => {
    return http.get<any>(`SysConfig/GetSubUcStockByName/?name=${id}`);
};
export const getClineLoApi = (log: any) => {
    return http.get<any>(`ClientLog/Log/${log}`);
};
